> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mf-atlas.space/llms.txt
> Use this file to discover all available pages before exploring further.

# Register mandate

> Register a NACH/eNACH mandate.



## OpenAPI

````yaml /openapi.yaml post /api/mandates/v1/
openapi: 3.0.3
info:
  title: MF Atlas API
  version: 1.0.0
servers:
  - description: Sandbox
    url: https://api-sandbox.mf-atlas.space
  - description: Production
    url: https://api.mf-atlas.space
security: []
paths:
  /api/mandates/v1/:
    post:
      tags:
        - mandates
      summary: Register mandate
      description: Register a NACH/eNACH mandate.
      requestBody:
        content:
          application/json:
            schema:
              properties:
                account_no:
                  type: string
                account_type:
                  type: string
                amount:
                  description: Maximum debit amount, not an installment.
                  type: number
                bank_account_id:
                  type: string
                client_ref:
                  type: string
                end_date:
                  type: string
                ifsc:
                  type: string
                investment_account_id:
                  description: >-
                    Optional investment account (of the same investor) to file
                    this mandate under.
                  type: string
                investor_id:
                  type: string
                start_date:
                  type: string
                type:
                  description: ENACH | PHYSICAL.
                  type: string
              type: object
        description: Mandate
      responses:
        '201':
          content:
            application/json:
              schema:
                properties:
                  id:
                    type: string
                  provider_mandate_id:
                    type: string
                  remark:
                    type: string
                  status:
                    type: string
                  umrn:
                    type: string
                type: object
          description: Registered mandate

````